import { Component, OnInit } from '@angular/core';

// 引用Parse JS SDK
import Parse from "parse";
Parse.initialize("dev"); // 设置applicationId
Parse.serverURL = "http://web2023.fmode.cn:9999/parse"; // 设置serverURL

@Component({
  selector: 'app-case-parse',
  templateUrl: './case-parse.page.html',
  styleUrls: ['./case-parse.page.scss'],
})
export class CaseParsePage implements OnInit {

  constructor() { }

  ngOnInit() {
    this.loadDelicacys()
  }
  
  DelicacyList:Array<Parse.Object> = []
  async loadDelicacys(){
    let query = new Parse.Query("Delicacy");
    let list = await query.find();
    this.DelicacyList = list
  }

}
